use super::*;
use cryptohelpers::sha256::Sha256Hash;

id_type!(PostID; "A unique post ID");

/// A single completed post
#[derive(Debug, Clone, PartialEq, Eq, PartialOrd, Ord, Hash)]
pub struct Post
{
    id: PostID,
    name: Option<String>,
    email: Option<String>,
    
    body: hard_format::formats::PEMFormattedString,
    signature: Option<hard_format::formats::PEMFormattedString>,
    hash: Sha256Hash,
}
